Bug 108644 - First time startup errors for non-root users
First time startup errors for non-root users
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: evolution (Show other bugs)
3.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-30 16:17 EST by Ronan
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-17 16:21:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ronan 2003-10-30 16:17:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030922

Description of problem:
(On a fresh install of RHEL WSv3)

When Evolution is started by a non root user, by any method (i.e.
/usr/bin/evolution, /usr/bin/evolution-1.4, or by selecting it through menus and
task bar), startup errors happen and the initial setup wizard doesn't run. After
the errors, evolution starts but with very reduced functionality - rather lean
looking.


Version-Release number of selected component (if applicable):
evolution-1.4.5-1

How reproducible:
Always

Steps to Reproduce:
1. start evolution by any method, as a standard user
2.
3.
    

Actual Results:  Startup errors.

Expected Results:  Evolution setup wizard should open, then evolution.

Additional info:

The following 4 windows appear when you start evolution, by any method:

Window 1: "ERROR"

Cannot activate component OAFIID:GNOME_Evolution_Mail_ShellComponent :
The error from the activation system is:
Unknown CORBA exception id: 'IDL:omg.org/CORBA/INV_OBJREF:1.0'

Window 2: "ERROR"

Cannot activate component OAFIID:GNOME_Evolution_Addressbook_ShellComponent :
The error from the activation system is:
Unknown CORBA exception id: 'IDL:omg.org/CORBA/INV_OBJREF:1.0'

Window 3: "ERROR"

Cannot activate component OAFIID:GNOME_Evolution_Calendar_ShellComponent :
The error from the activation system is:
Unknown CORBA exception id: 'IDL:omg.org/CORBA/INV_OBJREF:1.0'

Window 4: "ERROR"

Cannot activate component OAFIID:GNOME_Evolution_Summary_ShellComponent :
The error from the activation system is:
Unknown CORBA exception id: 'IDL:omg.org/CORBA/INV_OBJREF:1.0'


In addition, when started from the command line, the following errors appear in
the shell:

(evolution:6438): evolution-shell-WARNING **: Could not start any startup wizard!
                                                                                
(evolution:6438): evolution-shell-CRITICAL **: file e-shell-startup-wizard.c:
line 809 (e_shell_startup_wizard_create): assertion `data->corba_wizard !=
CORBA_OBJECT_NIL' failed
Comment 1 Jeremy Katz 2003-11-02 22:20:31 EST
Can you verify the package installation with 'rpm -V evolution'?  I
haven't seen this behavior.
Comment 2 bug 2003-11-23 09:28:00 EST
Not sure if it's related but I had errors starting _any_ apps upon
first login to a fresh RHEL3 install as a non-root user. For example
Mozilla appeared momentarily the first time I tried it then would not
launch again. Same for any other apps. I logged out then logged in
again and haven't seen any similar problems since.
Comment 3 Ronan 2003-11-26 09:11:42 EST
(Sorry for the delay in updating)
When I rebooted the system, it was fine. So in fact my problem was the
same as you have described above - it seems to have errors only on the
first boot.
Comment 4 Jeremy Katz 2003-11-27 23:04:09 EST
Have you done any other installs and seen it?  I didn't see it on a
quick test install I did here :/
Comment 5 Suzanne Hillman 2004-02-17 16:21:44 EST
As it's been almost three months in the NEEDINFO state, I'm closing
this. If it is still a problem, please reopen with more information.

Note You need to log in before you can comment on or make changes to this bug.